<?php

declare(strict_types=1);

use App\Controller\Payment\NotifyController;
use App\Controller\Payment\PayController;
use Hyperf\HttpServer\Router\Router;

Router::get('/favicon.ico', function () {
    return 'sdfsd';
});

Router::addGroup('/payment',function () {
    Router::post('/register', [PayController::class, 'register']);
    Router::post('/refund', [PayController::class, 'refund']);
    Router::post('/bind-card', [PayController::class, 'bindCard']);
    Router::post('/bind-card-confirm', [PayController::class, 'bindCardConfirm']);
    Router::post('/un-bind-card', [PayController::class, 'unBindCard']);
    Router::post('/protocol-pay-pre-request', [PayController::class, 'protocolPayPreRequest']);
    Router::post('/protocol-pay-confirm', [PayController::class, 'protocolPayConfirm']);
    Router::post('/refund-query', [PayController::class, 'refundQuery']);
    Router::post('/payment-query', [PayController::class, 'paymentQuery']);
}, ['middleware' => [\App\Middleware\RequestLogMiddleware::class]]);

Router::addGroup('/notify',function () {
    Router::addRoute(['GET', 'POST'], '/payment', [NotifyController::class, 'payment']);
    Router::addRoute(['GET', 'POST'], '/refund', [NotifyController::class, 'refund']);
});

